Subject: 26.0.50; Compiled ps-print.el is non-functional
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Sat, 22 Apr 2017 05:41:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

ps-print.el has become non-functional for me in compiled form since some
time (days?  weeks? ... not much longer).  It produces only empty .ps
documents.

Here is a very simple recipe for emacs -Q (from *scratch*):

M-: (require 'ps-print) RET

M-: (ps-spool-buffer-with-faces) RET

Switch to the buffer *Post Script*.  The created document ends with

| BeginDoc
| %%EndSetup
| 
| %%Trailer
| %%Pages: 0
| 
| EndDoc
| 
| %%EOF

If I save the buffer to a .ps file and open it with a viewer, I get a
blank page.

Now I repeat the recipe with the source file ps-print.el loaded.  I get
the expected result this time.  Hmm.

Thanks in advance,

Michael.

In GNU Emacs 26.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2017-04-22 built on drachen
Repository revision: d812d20fbc3e1eff0f10443baed801adda9031cd
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description:	Debian GNU/Linux 9.0 (stretch)